#ifndef _MAINWINDOW_H_
#define _MAINWINDOW_H_

#include <Window.h>
#include <View.h>
#include <TextControl.h>
#include <Button.h>

#define OK_MSG	'FC01'

class mainWindow : public BWindow {
public:
	mainWindow();
	~mainWindow();
	
	bool QuitRequested();
	void MessageReceived(BMessage *msg);
	
	void SetFilename(const char *name);
	const char *GetFilename();
	off_t FirstBytes();
	off_t LastBytes();

private:
	BView		*mainView;
	BTextControl	*firstTC, *lastTC, *filenameTC;
	BButton	*doitB, *cancelB, *aboutB;
};

#endif